Download it now!
Bug 84911 - SIDEBAR Drawing crashes if sidebar is on
Summary: SIDEBAR Drawing crashes if sidebar is on
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other Windows (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-10-11 12:30 UTC by Urmas
Modified: 2014-10-15 03:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
windows error dialog for crash during launch of Draw with sidebar enabled (14.45 KB, image/png)
2014-10-12 21:57 UTC, V Stuart Foote
Details
another run through -- TB39 debug build, StackTrace (27.75 KB, text/plain)
2014-10-12 22:20 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-10-11 12:30:22 UTC
In October 8 version, creating new/opening existing ODG files causes application to terminate. Sometimes "Unknown SEH exception" dialog appears.
Comment 1 Urmas 2014-10-12 00:40:24 UTC
Draw seems to crash with following elements in registrymodifications.xcu:

<item oor:path="/org.openoffice.Office.Views/Windows"><node oor:name="sdraw/10336" oor:op="replace"><prop oor:name="Visible" oor:op="fuse"><value xsi:nil="true"/></prop><node oor:name="UserData"><prop oor:name="Data" oor:op="fuse" oor:type="xs:string"><value>V2,V,0,AL:(5,16,0/0/308/450,308;848)</value></prop></node><prop oor:name="WindowState" oor:op="fuse"><value></value></prop></node></item>

<item oor:path="/org.openoffice.Office.Views/Windows"><node oor:name="10336" oor:op="replace"><prop oor:name="Visible" oor:op="fuse"><value xsi:nil="true"/></prop><node oor:name="UserData"><prop oor:name="Data" oor:op="fuse" oor:type="xs:string"><value>V2,V,0,AL:(5,16,0/0/308/450,308;848)</value></prop></node><prop oor:name="WindowState" oor:op="fuse"><value></value></prop></node></item>
Comment 2 V Stuart Foote 2014-10-12 20:36:56 UTC
On Windows 7 sp1, 64-bit en-US with

last TB39 build
Version: 4.4.0.0.alpha0+
Build ID: 9177329a425cf70b515d1f266132838894fe54c6
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-06_01:02:02


also on TB42

Version: 4.4.0.0.alpha0+
Build ID: 276a046d5256b14478ab283f420654df6ae76b55
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-08_00:21:52

=-=-=

Confirming the crash of Draw when the Sidebar is set active--not sure but it looks as it if has been set inactive on launch now--when did that happen? Is that even correct to not have Sidebar active with Draw on launch?

Anyhow, Draw does crash if the SB is activated and an existing .ODG is opened. Then get stuck in a recovery/crash cycle on launch.

To recover use of Draw have to delete user profile and allow it to rebuild to default.

=-=-=

WinDbg is not functioning well, so limited to ProcessExplorer--get this stack trace for soffice.bin at the crash...  YMMV


wow64win.dll+0x3fe3a
wow64win.dll+0x1aeac
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x42a
ntdll.dll!RtlUniform+0x6e6
ntdll.dll!RtlCreateTagHeap+0xa7
ntdll.dll!LdrInitializeThunk+0xe
USER32.dll!DispatchMessageW+0x5c
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x15cab
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x1666e
vcllo.dll!?ImplCallEventListeners@Application@@SAXPAVVclSimpleEvent@@@Z+0x1de
vcllo.dll!?Yield@Application@@SAXXZ+0xc
vcllo.dll!?Execute@Dialog@@UAEFXZ+0x8b
svxlo.dll!?getTypes@?$WeakImplHelper2@VXServiceInfo@lang@star@sun@com@@VXSynchronousDispatch@frame@345@@cppu@@UAA?AV?$Sequence@VType@uno@star@sun@com@@@uno@star@sun@com@@XZ+0x2cc
svxlo.dll!?acquire@?$WeakImplHelper2@VXServiceInfo@lang@star@sun@com@@VXSynchronousDispatch@frame@345@@cppu@@UAAXXZ+0xa69
sal3.dll!osl_acquireMutex+0xc
vcllo.dll!?SVMain@@YAHXZ+0x155
sal3.dll!sal_detail_initialize+0x29d
sal3.dll!sal_detail_initialize+0x912
MSVCR110.dll!__crtFlsGetValue+0x15
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x16590
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x5cbb4
USER32.dll!gapfnScSendMessage+0x332
USER32.dll!GetThreadDesktop+0xd7
USER32.dll!CharPrevW+0x138
USER32.dll!DispatchMessageW+0xf
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x15b76
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x15c65
vcllo.dll!?OpenTTFontBuffer@vcl@@YAHPBXKKPAPAU_TrueTypeFont@1@@Z+0x1666e
vcllo.dll!?ImplCallEventListeners@Application@@SAXPAVVclSimpleEvent@@@Z+0x1de
vcllo.dll!?Yield@Application@@SAXXZ+0xc
vcllo.dll!?Execute@Application@@SAXXZ+0x29
ntdll.dll!RtlRegisterThreadWithCsrss+0xc4
vcllo.dll!?DeInitVCL@@YAXXZ+0xe52
vcllo.dll!?SVMain@@YAHXZ+0x2f
ntdll.dll!RtlImageNtHeader+0xb3f
soffice.bin+0x100a
soffice.bin!main+0x1a
soffice.bin!main+0x58
soffice.bin!main+0x2ab
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36
Comment 3 V Stuart Foote 2014-10-12 21:57:08 UTC
Created attachment 107751 [details]
windows error dialog for crash during launch of Draw with sidebar enabled

Setting component to Drawing, and importance back to major since this is a regression. But, with Windows TB39 and TB42 not producing functional builds kind of hard to dig any deeper.

With WinDbg running against the TB39 builds, was seeing assertio failed error for Reference.h in /core/include/com/sun/star/uno against an xstor.dll call

attached... screen clip

 -- but that was after several cycles of firstchance errors and "continuing" a non-continuable exception. So possibly not related at all...


    397     /** Dereference operator: Used to call interface methods.
    398 
    399         @return UNacquired interface pointer
    400     */
    401     inline interface_type * SAL_CALL operator -> () const {
    402         assert(_pInterface != 0);
    403         return castFromXInterface(_pInterface);
    404     }
Comment 4 V Stuart Foote 2014-10-12 22:20:48 UTC
Created attachment 107752 [details]
another run through -- TB39 debug build, StackTrace

A more complete StackTrace of the AssertFailed on TB39 2014-10-06 when launching Draw with sidebar active. It has debug symbols resolution--but I'm unsure what if anything to make of its significance...
Comment 5 V Stuart Foote 2014-10-13 02:51:30 UTC
Remains an issue with TB42 builds of master

Version: 4.4.0.0.alpha0+
Build ID: c967872d46a7cfd7c52063068313d5ec0356453e
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-13_00:02:37
Comment 6 V Stuart Foote 2014-10-13 13:51:27 UTC
If we can believe the StackTrace that this is THE cause -- the issue may have originated during initialization of a basic SfxLibraryContainer for namecont.cxx

That was recently refactored to use the SolarMutex  lock
http://cgit.freedesktop.org/libreoffice/core/commit/?id=fca62934f492125ea6728fd6d09f0c66c9e4fa69


-=extract from Stack Trace of attachment 107752 [details] =-
ModLoad: 079a0000 07b9d000   C:\LODev440_20141006_TB39\program\sblo.dll
WARNING: Continuing a non-continuable exception
WARNING: Continuing a non-continuable exception
WARNING: Continuing a non-continuable exception
Assertion failed!

Program: C:\LODev440_20141006_TB39\program\xstor.dll
File: C:\cygwin\home\tinderbox\master\include\c.../Reference.h
Line: 402

Expression: _pInterface != 0

For information on how your program can cause an assertion
failure, see the Visual C++ documentation on asserts

(Press Retry to debug the application - JIT must be enabled)ModLoad: 079a0000 07ca9000   C:\LODev440_20141006_TB39\program\fwklo.dll
ModLoad: 079a0000 07ca9000   C:\LODev440_20141006_TB39\program\fwklo.dll
ModLoad: 079a0000 07f95000   C:\LODev440_20141006_TB39\program\sfxlo.dll
(d58.17bc): Break instruction exception - code 80000003 (first chance)
eax=00000004 ebx=5d9ab85c ecx=8d00dffc edx=00db5f64 esi=00000240 edi=00000000
eip=6ba43c42 esp=00b0bf60 ebp=00b0ca8c iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000246
MSVCR110!_wassert+0x59c:
6ba43c42 cc              int     3
0:000> ~* k

.  0  Id: d58.17bc Suspend: 1 Teb: 7efdd000 Unfrozen
ChildEBP RetAddr  
00b0ca8c 5d936510 MSVCR110!_wassert+0x59c
00b0caa0 5d93a9e9 xstor!com::sun::star::uno::Reference<com::sun::star::io::XInputStream>::operator->+0x20 [c:\cygwin\home\tinderbox\master\include\com\sun\star\uno\reference.h @ 402]
00b0cb74 5d935c49 xstor!OInputCompStream::dispose+0x179 [c:\cygwin\home\tinderbox\master\package\source\xstor\ocompinstream.cxx @ 280]
00b0cba4 5d93750f xstor!OInputCompStream::~OInputCompStream+0xb9 [c:\cygwin\home\tinderbox\master\package\source\xstor\ocompinstream.cxx @ 71]
00b0cbb0 69075783 xstor!OInputCompStream::`scalar deleting destructor'+0xf
00b0cbc8 5d93d90d cppuhelper3MSC!cppu::OWeakObject::release+0x43 [c:\cygwin\home\tinderbox\master\cppuhelper\source\weak.cxx @ 204]
00b0cbd4 6863faf1 xstor!cppu::WeakImplHelper4<com::sun::star::io::XInputStream,com::sun::star::embed::XExtendedStorageStream,com::sun::star::embed::XRelationshipAccess,com::sun::star::beans::XPropertySet>::release+0xd [c:\cygwin\home\tinderbox\master\include\cppuhelper\implbase4.hxx @ 109]
00b0cbe4 6864a7fa sblo!com::sun::star::uno::Reference<com::sun::star::io::XStream>::~Reference<com::sun::star::io::XStream>+0x21 [c:\cygwin\home\tinderbox\master\include\com\sun\star\uno\reference.hxx @ 104]
00b0d974 68649c67 sblo!basic::SfxLibraryContainer::init_Impl+0xb7a [c:\cygwin\home\tinderbox\master\basic\source\uno\namecont.cxx @ 777]
00b0d988 6864d3ba sblo!basic::SfxLibraryContainer::init+0x27 [c:\cygwin\home\tinderbox\master\basic\source\uno\namecont.cxx @ 634]
00b0d9fc 6864d16f sblo!basic::SfxLibraryContainer::initializeFromDocument+0x1ca [c:\cygwin\home\tinderbox\master\basic\source\uno\namecont.cxx @ 2764]
00b0da38 68fe6462 sblo!basic::SfxLibraryContainer::initialize+0xff [c:\cygwin\home\tinderbox\master\basic\source\uno\namecont.cxx @ 2728]
00b0da98 68fe61b6 cppuhelper3MSC!cppu::OSingleFactoryHelper::createInstanceWithArgumentsAndContext+0x92 [c:\cygwin\home\tinderbox\master\cppuhelper\source\factory.cxx @ 205]
00b0dad4 690369cb cppuhelper3MSC!cppu::OFactoryComponentHelper::createInstanceWithArgumentsAndContext+0x106 [c:\cygwin\home\tinderbox\master\cppuhelper\source\factory.cxx @ 431]
00b0db30 69036d89 cppuhelper3MSC!cppuhelper::ServiceManager::Data::Implementation::createInstanceWithArguments+0x13b [c:\cygwin\home\tinderbox\master\cppuhelper\source\servicemanager.cxx @ 717]
00b0db84 6152c5ce cppuhelper3MSC!cppuhelper::ServiceManager::createInstanceWithArgumentsAndContext+0x99 [c:\cygwin\home\tinderbox\master\cppuhelper\source\servicemanager.cxx @ 1036]
00b0dc4c 6152db3d sfxlo!com::sun::star::script::DocumentScriptLibraryContainer::create+0x11e [c:\cygwin\home\tinderbox\master\workdir\unoapiheaderstarget\offapi\normal\com\sun\star\script\documentscriptlibrarycontainer.hpp @ 48]
00b0dcc0 61528b24 sfxlo!`anonymous namespace'::lcl_getOrCreateLibraryContainer+0x8d [c:\cygwin\home\tinderbox\master\sfx2\source\doc\objxtor.cxx @ 774]
00b0de54 6155b0bd sfxlo!SfxObjectShell::GetBasicContainer+0x84 [c:\cygwin\home\tinderbox\master\sfx2\source\doc\objxtor.cxx @ 814]
00b0de94 614cb41e sfxlo!SfxBaseModel::getBasicLibraries+0x7d [c:\cygwin\home\tinderbox\master\sfx2\source\doc\sfxbasemodel.cxx @ 2333]
00b0df00 614cac2f sfxlo!sfx2::DocumentMacroMode::hasMacroLibrary+0x9e [c:\cygwin\home\tinderbox\master\sfx2\source\doc\docmacromode.cxx @ 374]
00b0df40 61505b29 sfxlo!sfx2::DocumentMacroMode::checkMacrosOnLoading+0x9f [c:\cygwin\home\tinderbox\master\sfx2\source\doc\docmacromode.cxx @ 424]
00b0df70 6162dea0 sfxlo!SfxObjectShell::CheckSecurityOnLoading_Impl+0xa9 [c:\cygwin\home\tinderbox\master\sfx2\source\doc\objmisc.cxx @ 1086]
00b0df80 615575d6 sfxlo!SfxViewFrame::UpdateDocument_Impl+0x30 [c:\cygwin\home\tinderbox\master\sfx2\source\view\viewfrm.cxx @ 3306]
00b0e008 6160c1a2 sfxlo!SfxBaseModel::connectController+0x296 [c:\cygwin\home\tinderbox\master\sfx2\source\doc\sfxbasemodel.cxx @ 1092]
00b0e084 6160e9f8 sfxlo!`anonymous namespace'::SfxFrameLoader_Impl::impl_createDocumentView+0x132 [c:\cygwin\home\tinderbox\master\sfx2\source\view\frmload.cxx @ 606]
00b0e310 60a0f05d sfxlo!`anonymous namespace'::SfxFrameLoader_Impl::load+0xad8 [c:\cygwin\home\tinderbox\master\sfx2\source\view\frmload.cxx @ 726]
00b0e474 60a13d69 fwklo!framework::LoadEnv::impl_loadContent+0x9fd [c:\cygwin\home\tinderbox\master\framework\source\loadenv\loadenv.cxx @ 1122]
00b0e528 609ab59d fwklo!framework::LoadEnv::startLoading+0x179 [c:\cygwin\home\tinderbox\master\framework\source\loadenv\loadenv.cxx @ 383]
00b0e7dc 609ab218 fwklo!framework::LoadDispatcher::impl_dispatch+0x27d [c:\cygwin\home\tinderbox\master\framework\source\dispatch\loaddispatcher.cxx @ 116]
00b0e81c 613de354 fwklo!framework::LoadDispatcher::dispatch+0x58 [c:\cygwin\home\tinderbox\master\framework\source\dispatch\loaddispatcher.cxx @ 55]
00b0e864 68aed994 sfxlo!implDispatchDelayed+0x64 [c:\cygwin\home\tinderbox\master\sfx2\source\dialog\backingwindow.cxx @ 659]
00b0e87c 61b5907e tllo!Link::Call+0x24 [c:\cygwin\home\tinderbox\master\include\tools\link.hxx @ 139]
00b0e898 61b59b4a vcllo!ImplHandleUserEvent+0x6e [c:\cygwin\home\tinderbox\master\vcl\source\window\winproc.cxx @ 1918]
00b0e9a8 61f2c92e vcllo!ImplWindowFrameProc+0x54a [c:\cygwin\home\tinderbox\master\vcl\source\window\winproc.cxx @ 2485]
00b0e9c8 61f31d8c vcllo!SalFrame::CallCallback+0x2e [c:\cygwin\home\tinderbox\master\vcl\inc\salframe.hxx @ 242]
00b0e9dc 61f34f3f vcllo!ImplHandleUserEvent+0x2c [c:\cygwin\home\tinderbox\master\vcl\win\source\window\salframe.cxx @ 4141]
00b0ea80 61f35751 vcllo!SalFrameWndProc+0x77f [c:\cygwin\home\tinderbox\master\vcl\win\source\window\salframe.cxx @ 5795]
00b0ead0 772062fa vcllo!SalFrameWndProcW+0x61 [c:\cygwin\home\tinderbox\master\vcl\win\source\window\salframe.cxx @ 5955]
00b0eafc 77206d3a USER32!InternalCallWinProc+0x23
00b0eb74 772077c4 USER32!UserCallWinProcCheckWow+0x109
00b0ebd4 7720788a USER32!DispatchMessageWorker+0x3bc
00b0ebe4 61eee736 USER32!DispatchMessageW+0xf
00b0ebf8 61eee825 vcllo!ImplSalDispatchMessage+0x36 [c:\cygwin\home\tinderbox\master\vcl\win\source\app\salinst.cxx @ 576]
00b0ec2c 61eef22e vcllo!ImplSalYield+0x55 [c:\cygwin\home\tinderbox\master\vcl\win\source\app\salinst.cxx @ 592]
00b0ec54 61e5756e vcllo!WinSalInstance::Yield+0xce [c:\cygwin\home\tinderbox\master\vcl\win\source\app\salinst.cxx @ 648]
00b0ec6c 61e58dac vcllo!ImplYield+0x8e [c:\cygwin\home\tinderbox\master\vcl\source\app\svapp.cxx @ 361]
00b0ec7c 61e56399 vcllo!Application::Yield+0xc [c:\cygwin\home\tinderbox\master\vcl\source\app\svapp.cxx @ 392]
00b0ec88 692f5a3d vcllo!Application::Execute+0x29 [c:\cygwin\home\tinderbox\master\vcl\source\app\svapp.cxx @ 341]
00b0fc0c 61e5e282 sofficeapp!desktop::Desktop::Main+0x233d [c:\cygwin\home\tinderbox\master\desktop\source\app\app.cxx @ 1690]
00b0fc28 61e5e6ff vcllo!ImplSVMain+0x42 [c:\cygwin\home\tinderbox\master\vcl\source\app\svmain.cxx @ 160]
00b0fc34 6932aaa0 vcllo!SVMain+0x2f [c:\cygwin\home\tinderbox\master\vcl\source\app\svmain.cxx @ 194]
00b0fd30 011d100a sofficeapp!soffice_main+0x130 [c:\cygwin\home\tinderbox\master\desktop\source\app\sofficemain.cxx @ 93]
WARNING: Stack unwind information not available. Following frames may be wrong.
00b0fd3c 011d103a soffice+0x100a
00b0fd48 011d1078 soffice!main+0x1a
00b0fd60 011d12cb soffice!main+0x58
00b0fdac 7736338a soffice!main+0x2ab
00b0fdb8 77a69f72 kernel32!BaseThreadInitThunk+0xe
00b0fdf8 77a69f45 ntdll!__RtlUserThreadStart+0x70
00b0fe10 00000000 ntdll!_RtlUserThreadStart+0x1b
Comment 7 V Stuart Foote 2014-10-13 18:15:59 UTC
Affecting TB39 builds as well.

Version: 4.4.0.0.alpha0+
Build ID: c862be08158f502c42752f025d5cc6384285c688
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-13_14:55:05
Comment 8 V Stuart Foote 2014-10-15 03:23:16 UTC
This is now working on Windows 7 sp1, 64-bit en-US

Version: 4.4.0.0.alpha0+
Build ID: defa080e585fb351bc4049b2f280d2e7e5256f6e
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-15_00:35:53

Not sure what resolved it.

Issue with bug 84854 continue...
Comment 9 V Stuart Foote 2014-10-15 03:38:35 UTC
On Windows 7 sp1, 64-bit en-US with

Any idea which of http://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=b80c468e35ee321b5580b42642064f74f9241fb6..defa080e585fb351bc4049b2f280d2e7e5256f6e fixed it?

-=Bad=-
Version: 4.4.0.0.alpha0+
Build ID: 2d6dacc1c93bfd4a9086f8fde6b0edbfdeb573c9
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-13_23:44:09

Version: 4.4.0.0.alpha0+
Build ID: b80c468e35ee321b5580b42642064f74f9241fb6
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-14_07:06:12


-=OK=-
Version: 4.4.0.0.alpha0+
Build ID: defa080e585fb351bc4049b2f280d2e7e5256f6e
TinderBox: Win-x86@42, Branch:master, Time: 2014-10-15_01:10:51

Version: 4.4.0.0.alpha0+
Build ID: defa080e585fb351bc4049b2f280d2e7e5256f6e
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-15_00:35:53